function r = SVMRFE(label, data, step,paramet)
% SVM-RFE
% SVM Recursive Feature Elimination (SVM RFE)
% label  - group label
% data  - s x n matrix (n is number of features)
% step  - 
% paramet - parameters for svm
% r - ranked features in decending order
%%
n = size(data,2); % feature numbers
s = 1:n;
r = [];
iter = 1;
while ~isempty(s)
    if mod(iter, 100) == 0
        str = ['===',num2str(iter),'==='];
        disp(str);
        disp('processing .....\n');
    end
    X = data(:,s);
    
    model = svmtrain(label, X, paramet);
    w = model.SVs' * model.sv_coef; % for linear kernal
    c = w.^2;
    [~, f] = sort(c,'ascend');
    if length(f) > step
        remov_f = f(1:step);
    else
        remov_f = f;
    end
    r = [s(remov_f),r];
    s = setdiff(s, s(remov_f));
    iter = iter + 1;
    clear model w c f remov_f 
end